Loading...
Searching...
No Matches
apr_uri_t Struct Reference
APR Utility Functions » URI

`#include <apr_uri.h>`

## Data Fields

char * | scheme
char * | hostinfo
char * | user
char * | password
char * | hostname
char * | port_str
char * | path
char * | query
char * | fragment
struct hostent * | hostent
apr_port_t | port
unsigned | is_initialized:1
unsigned | dns_looked_up:1
unsigned | dns_resolved:1

## Detailed Description

A structure to encompass all of the fields in a uri

## Field Documentation

## dns_looked_up

unsigned apr_uri_t::dns_looked_up

has the DNS been looked up yet

## dns_resolved

unsigned apr_uri_t::dns_resolved

has the dns been resolved yet

## fragment

char* apr_uri_t::fragment

Trailing "#fragment" string, if present

## hostent

struct hostent* apr_uri_t::hostent

structure returned from gethostbyname()

## hostinfo

char* apr_uri_t::hostinfo

combined [user[:password]@]host[:port]

## hostname

char* apr_uri_t::hostname

hostname from URI (or from Host: header)

## is_initialized

unsigned apr_uri_t::is_initialized

has the structure been initialized

## password

char* apr_uri_t::password

password, as in http://user:passwd@host:port/

## path

char* apr_uri_t::path

the request path (or NULL if only scheme://host was given)

## port

apr_port_t apr_uri_t::port

The port number, numeric, valid only if port_str != NULL

## port_str

char* apr_uri_t::port_str

port string (integer representation is in "port")

## query

char* apr_uri_t::query

Everything after a '?' in the path, if present

## scheme

char* apr_uri_t::scheme

scheme ("http"/"ftp"/...)

## user

char* apr_uri_t::user

user name, as in http://user:passwd@host:port/

The documentation for this struct was generated from the following file:

- apr_uri.h